netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
atp_input.c File Reference
`#include <sys/types.h>`
`#include <sys/time.h>`
`#include <sys/socket.h>`
`#include <sys/uio.h>`
`#include <sys/param.h>`
`#include <netinet/in.h>`
`#include <string.h>`
`#include <stdio.h>`
`#include <unistd.h>`
`#include <netatalk/at.h>`
`#include <atalk/ddp.h>`
`#include <atalk/atp.h>`
`#include <atalk/util.h>`
`#include "atp_internals.h"`

## Functions
static void | print_func (uint8_t ctrlinfo)
void | atp_print_addr (char *s, struct sockaddr_at *saddr)
int | atp_input (ATP ah, struct sockaddr_at *faddr, char *rbuf, int recvlen)

## Variables
int | gDebug

## Function Documentation

## ◆ atp_input()

int atp_input | ( | ATP | ah,
|  | struct sockaddr_at * | faddr,
|  | char * | rbuf,
|  | int | recvlen )

## ◆ atp_print_addr()

void atp_print_addr | ( | char * | s,
|  | struct sockaddr_at * | saddr )

## ◆ print_func()

void print_func | ( | uint8_t | ctrlinfo | ) |
| static

## Variable Documentation

## ◆ gDebug

int gDebug
| extern